1. 李春SEO博客首页
  2. 技术教程

Xshell无法启动:要继续使用此程序,您必须应用最新的更新或使用新版本

Xshell无法启动:要继续使用此程序,您必须应用最新的更新或使用新版本

相信不少用过xshell的朋友都遇到过上图的情况吧,这类的情况尤为头疼,不过奈何毕竟不是自己家的矿,因此这里给大家总结几个方法,希望可以帮助大家解决“Xshell无法启动:要继续使用此程序,您必须应用最新的更新或使用新版本”的问题!

临时解决方案一:

打开电脑设置,将电脑的时间设置成为2018年12月25日之前,如果说你设置了这个时间还是不行,你可以在往前设置1-2个月的时间就可以使用啦。

临时解决方案二:

在网上找到一些方法,一个bat批处理文件直接将时间变更。

使用方式:

我们需要将脚本放在软件安装的目录当中,如果是win7以上的版本需要赋予一下权限,使用管理员权限打开,如果说打开启动脚本失败的话,我们需要先将软件关闭,然后在重新启动,另外一方面看一下xshell.exe/xftp.exe的详细属性内的数位签章的时间戳记,并将脚本内的“25-12-2018”按系统默认的时间格式改为数位签章内的时间戳记录的时间。

脚本地址:https://github.com/DeepSkyFire/XShell5-Startup-Script

Xshell无法启动:要继续使用此程序,您必须应用最新的更新或使用新版本

 

实用解决方法一:

一般情况下xshell都有时间判断机制,除了直接修改电脑的时间之外,我们也可以通过反汇编软件进行操作,只需要找到安装目录里面的nslicense.dll文件,然后打开C32asm就可以了,搜索16搜索16进制,将“7F0C81F98033E1010F8680”修改为7F0C81F98033E101E98100或者“7F0C81F98033E1010F8380”

实用解决方法二:

如果说上面的方法都不能满足你现在的情况的话,你可以通过先将原有的版本卸载,然后重新启动电脑,在百度上搜索腾讯软件安装,如图所示:

Xshell无法启动:要继续使用此程序,您必须应用最新的更新或使用新版本

我们搜索xshell进行重新安装就可以正常使用啦。

不过最后还是建议大家去屏蔽host,这样避免他强制进行升级!

原创文章,作者:lichun,如若转载,请注明出处:http://www.lichunseo.com/jsjc/2786.html